---
title: WebGLRenderingContext.getAttribLocation()
slug: Web/API/WebGLRenderingContext/getAttribLocation
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.getAttribLocation()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> returns the location of an attribute variable in a given {{domxref("WebGLProgram")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">GLint <var>gl</var>.getAttribLocation(<var>program</var>, <var>name</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>program</dt>
 <dd>A {{domxref("WebGLProgram")}} containing the attribute variable.</dd>
 <dt>name</dt>
 <dd>A {{domxref("DOMString")}} specifying the name of the attribute variable whose location to get.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("GLint")}} number indicating the location of the variable name if found. Returns -1 otherwise.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.getAttribLocation(program, 'vColor');
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.10", "getAttribLocation")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glGetAttribLocation.xml", "glGetAttribLocation")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Main page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.getAttribLocation")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getUniformLocation()")}}</li>
</ul>
